#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif
#include "macdialog.h"

#include <qregexp.h>
#include <qradiobutton.h>

void macDialog::fromEncodingSwitches( const QString& switches )
{
	if ( switches.contains( QRegExp( "(^|[ \\t])-c1000([ \\t]|$)" ) ) )
		fastRadioButton->setChecked( true );
	else if ( switches.contains( QRegExp( "(^|[ \\t])-c2000([ \\t]|$)" ) ) )
		normalRadioButton->setChecked( true );
	else if ( switches.contains( QRegExp( "(^|[ \\t])-c3000([ \\t]|$)" ) ) )
		highRadioButton->setChecked( true );
	else if ( switches.contains( QRegExp( "(^|[ \\t])-c4000([ \\t]|$)" ) ) )
		extrahighRadioButton->setChecked( true );
	else if ( switches.contains( QRegExp( "(^|[ \\t])-c5000([ \\t]|$)" ) ) )
		insaneRadioButton->setChecked( true );
}

QString macDialog::toEncodingSwitches()
{
	QString result;

	if ( fastRadioButton->isChecked() )
		result = "-c1000";
	else if ( normalRadioButton->isChecked() )
		result = "-c2000";
	else if ( highRadioButton->isChecked() )
		result = "-c3000";
	else if ( extrahighRadioButton->isChecked() )
		result = "-c4000";
	else // insaneRadioButton->isChecked()
		result = "-c5000";

	return result;
}
