/***************************************************************************
 *   Copyright (C) 2005 by Sergio Pistone                                  *
 *   sergio_pistone@yahoo.com.ar                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "transkodewidgetsplugin.h"
#include "images.h"

#include <qdecspinbox.h>

TransKodePlugin::TransKodePlugin()
{
}

QStringList TransKodePlugin::keys() const
{
	QStringList list;
	list << "QDecSpinBox";
	return list;
}

QWidget* TransKodePlugin::create( const QString &key, QWidget* parent, const char* name )
{
	if ( key == "QDecSpinBox" )
		return new QDecSpinBox( parent, name );
	return 0;
}

QString TransKodePlugin::includeFile( const QString& feature ) const
{
	if ( feature == "QDecSpinBox" )
		return "qdecspinbox.h";
	return QString::null;
}

QString TransKodePlugin::group( const QString& feature ) const
{
	if ( feature == "QDecSpinBox" )
		return "Input";
	return QString::null;
}

QIconSet TransKodePlugin::iconSet( const QString& ) const
{
	return QIconSet( QPixmap( qembed_findImage( "qdecspinbox" ) ) );
}

QString TransKodePlugin::toolTip( const QString& feature ) const
{
	if ( feature == "QDecSpinBox" )
		return "Decimal Spin Box";
	return QString::null;
}

QString TransKodePlugin::whatsThis( const QString& feature ) const
{
	if ( feature == "QDecSpinBox" )
		return "<qt>A spin box widget with decimals emulation (spin button).</qt>";
	return QString::null;
}

bool TransKodePlugin::isContainer( const QString& ) const
{
	return FALSE;
}

Q_EXPORT_PLUGIN( TransKodePlugin )
